de.caff.generics.function

## Class Predicates

- java.lang.Object
- - de.caff.generics.function.Predicates

-     final class Predicates
      extends java.lang.Object

  Helper for predicates. Currently only used to store non-public constants.
  Since:
    February 21, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static Predicate2<java.lang.Object,java.lang.Object>` | `DEEP_EQUALS` Predicate2 which uses `Objects.deepEquals(Object, Object)` for checking for equality.
    `(package private) static Predicate1<java.lang.Object>` | `FALSE1` One argument predicate which always evaluates to `false`.
    `(package private) static Predicate2<java.lang.Object,java.lang.Object>` | `FALSE2` Two argument predicate which always evaluates to `false`.
    `(package private) static Predicate3<java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE3` Three argument predicate which always evaluates to `false`.
    `(package private) static Predicate4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE4` Four argument predicate which always evaluates to `false`.
    `(package private) static Predicate5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE5` Five argument predicate which always evaluates to `false`.
    `(package private) static Predicate6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE6` Six argument predicate which always evaluates to `false`.
    `(package private) static Predicate7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE7` Seven argument predicate which always evaluates to `false`.
    `(package private) static Predicate8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE8` Eight argument predicate which always evaluates to `false`.
    `(package private) static Predicate9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `FALSE9` Nine argument predicate which always evaluates to `false`.
    `(package private) static Predicate2<java.lang.Object,java.lang.Object>` | `IDENTICAL` Predicate2 which checks whether two objects represent the same object.
    `(package private) static Predicate1<java.lang.Object>` | `TRUE1` One argument predicate which always evaluates to `true`.
    `(package private) static Predicate2<java.lang.Object,java.lang.Object>` | `TRUE2` Two argument predicate which always evaluates to `true`.
    `(package private) static Predicate3<java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE3` Three argument predicate which always evaluates to `true`.
    `(package private) static Predicate4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE4` Four argument predicate which always evaluates to `true`.
    `(package private) static Predicate5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE5` Five argument predicate which always evaluates to `true`.
    `(package private) static Predicate6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE6` Six argument predicate which always evaluates to `true`.
    `(package private) static Predicate7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE7` Seven argument predicate which always evaluates to `true`.
    `(package private) static Predicate8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE8` Eight argument predicate which always evaluates to `true`.
    `(package private) static Predicate9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>` | `TRUE9` Nine argument predicate which always evaluates to `true`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUE1

          static Predicate1<java.lang.Object> TRUE1

      One argument predicate which always evaluates to `true`.
      See Also:
        `Predicate1.alwaysTrue()`

    - #### FALSE1

          static Predicate1<java.lang.Object> FALSE1

      One argument predicate which always evaluates to `false`.
      See Also:
        `Predicate1.alwaysFalse()`

    - #### TRUE2

          static Predicate2<java.lang.Object,java.lang.Object> TRUE2

      Two argument predicate which always evaluates to `true`.
      See Also:
        `Predicate2.alwaysTrue()`

    - #### FALSE2

          static Predicate2<java.lang.Object,java.lang.Object> FALSE2

      Two argument predicate which always evaluates to `false`.
      See Also:
        `Predicate2.alwaysFalse()`

    - #### TRUE3

          static Predicate3<java.lang.Object,java.lang.Object,java.lang.Object> TRUE3

      Three argument predicate which always evaluates to `true`.
      See Also:
        `Predicate3.alwaysTrue()`

    - #### FALSE3

          static Predicate3<java.lang.Object,java.lang.Object,java.lang.Object> FALSE3

      Three argument predicate which always evaluates to `false`.
      See Also:
        `Predicate3.alwaysFalse()`

    - #### TRUE4

          static Predicate4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE4

      Four argument predicate which always evaluates to `true`.
      See Also:
        `Predicate4.alwaysTrue()`

    - #### FALSE4

          static Predicate4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE4

      Four argument predicate which always evaluates to `false`.
      See Also:
        `Predicate4.alwaysFalse()`

    - #### TRUE5

          static Predicate5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE5

      Five argument predicate which always evaluates to `true`.
      See Also:
        `Predicate5.alwaysTrue()`

    - #### FALSE5

          static Predicate5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE5

      Five argument predicate which always evaluates to `false`.
      See Also:
        `Predicate5.alwaysFalse()`

    - #### TRUE6

          static Predicate6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE6

      Six argument predicate which always evaluates to `true`.
      See Also:
        `Predicate6.alwaysTrue()`

    - #### FALSE6

          static Predicate6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE6

      Six argument predicate which always evaluates to `false`.
      See Also:
        `Predicate6.alwaysFalse()`

    - #### TRUE7

          static Predicate7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE7

      Seven argument predicate which always evaluates to `true`.
      See Also:
        `Predicate7.alwaysTrue()`

    - #### FALSE7

          static Predicate7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE7

      Seven argument predicate which always evaluates to `false`.
      See Also:
        `Predicate7.alwaysFalse()`

    - #### TRUE8

          static Predicate8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE8

      Eight argument predicate which always evaluates to `true`.
      See Also:
        `Predicate8.alwaysTrue()`

    - #### FALSE8

          static Predicate8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE8

      Eight argument predicate which always evaluates to `false`.
      See Also:
        `Predicate8.alwaysFalse()`

    - #### TRUE9

          static Predicate9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> TRUE9

      Nine argument predicate which always evaluates to `true`.
      See Also:
        `Predicate9.alwaysTrue()`

    - #### FALSE9

          static Predicate9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> FALSE9

      Nine argument predicate which always evaluates to `false`.
      See Also:
        `Predicate9.alwaysFalse()`

    - #### DEEP_EQUALS

          @NotNull
          static Predicate2<java.lang.Object,java.lang.Object> DEEP_EQUALS

      Predicate2 which uses `Objects.deepEquals(Object, Object)` for checking for equality.

    - #### IDENTICAL

          @NotNull
          static Predicate2<java.lang.Object,java.lang.Object> IDENTICAL

      Predicate2 which checks whether two objects represent the same object.